Bug 988077 - PVR code comparison in POWER hosts
PVR code comparison in POWER hosts
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
ppc64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 12:55 EDT by Vitor de Lima
Modified: 2014-02-21 19:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:41:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A XML describing a CPU to be compared with the host. (75 bytes, text/xml)
2013-07-24 12:55 EDT, Vitor de Lima
no flags Details

  None (edit)
Description Vitor de Lima 2013-07-24 12:55:13 EDT
Created attachment 777866 [details]
A XML describing a CPU to be compared with the host.

Description of problem:
The virsh cpu-compare does not report my POWER7 rev 2.1 cpu as compatible with itself.

Version-Release number of selected component (if applicable):
1.1.0

How reproducible:
100%

Steps to Reproduce:
1. Run virsh cpu-compare description.xml on a POWER 7 2.1 host(this file is attached)
2. The host CPU is reported as incompatible with the CPU described in the XML


Actual results:
The CPU is reported as incompatible.

Expected results:
The CPU should be reported as identical to the host CPU.

Additional info:
The "ppcModelFindPVR" function in the cpu_powerpc.c source file uses a direct comparison (equality operator) between the host CPU PVR code and the PVR code described in the cpu_map.xml for the POWER7 processors. This comparison should ignore part of the PVR code that indicates the revision of the processor, as described in the POWER ISA, page 745:

https://www.power.org/wp-content/uploads/2012/07/PowerISA_V2.06B_V2_PUBLIC.pdf

Note You need to log in before you can comment on or make changes to this bug.